Bug 694568 - Review Request: python-testtools - Extensions to the Python unit testing framework
Summary: Review Request: python-testtools - Extensions to the Python unit testing fram...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 907665 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-07 16:29 UTC by Michel Alexandre Salim
Modified: 2013-02-05 20:07 UTC (History)
4 users (show)

Fixed In Version: python-testtools-0.9.8-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-16 20:51:34 UTC
a.badger: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2011-04-07 16:29:34 UTC
Spec URL: http://salimma.fedorapeople.org/specs/python/python-testtools.spec
SRPM URL: http://salimma.fedorapeople.org/specs/python/python-testtools-0.9.8-1.fc15.src.rpm
Description:
testtools is a set of extensions to the Python standard library's unit testing
framework.

Comment 1 Toshio Ernie Kuratomi 2011-04-07 16:48:53 UTC
* rpmlint:

python-testtools.noarch: W: non-standard-group Unspecified
python-testtools.src: W: non-standard-group Unspecified
python-testtools.src:35: E: files-attr-not-set
python-testtools.src:36: E: files-attr-not-set

These are all from the same source:  we need a %defattr(-, root, root, -) line in %files.

* Name follows Guidelines
* License is good and included
* Spec is legible
* Source matches upstream
* Package builds in koji
* No locale files
* No bundled system libraries
* Not relocatable
* All files and directories are owned
* Macros used consistently
* Code not content
* No large doc
* documentation doesn't affect runtime
* Not a dynamic library
* Not a GUI app

Nit:
It's better to BuildRequires: python2-devel rather than python-devel

As long as you add the %defattr before importing, this is APPROVED.

Comment 2 Michel Alexandre Salim 2011-04-07 16:54:21 UTC
The missing group and attributes are due to those being deprecated in RPM >= 4.9
(and thus rpmdev-newspec does not provide those fields on F-15+). Will re-add
because we do want to make this available on F-14 and probably even EPEL. Thanks!

New Package SCM Request
=======================
Package Name: python-testtools
Short Description: Extensions to the Python unit testing framework
Owners: salimma
Branches: f14 f15 el6
InitialCC:

Comment 3 Jason Tibbitts 2011-04-07 18:18:27 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-04-07 19:21:55 UTC
python-testtools-0.9.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-testtools-0.9.8-2.fc14

Comment 5 Fedora Update System 2011-04-07 19:22:06 UTC
python-testtools-0.9.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-testtools-0.9.8-2.el6

Comment 6 Fedora Update System 2011-04-07 19:22:13 UTC
python-testtools-0.9.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-testtools-0.9.8-2.fc15

Comment 7 Fedora Update System 2011-04-08 20:31:39 UTC
python-testtools-0.9.8-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2011-04-16 20:51:29 UTC
python-testtools-0.9.8-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 9 Fedora Update System 2011-05-19 22:02:26 UTC
python-testtools-0.9.8-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-05-20 17:54:44 UTC
python-testtools-0.9.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Pádraig Brady 2013-02-05 20:07:16 UTC
*** Bug 907665 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.